<?php
$defines = Zend_Registry::get('defines');
$sp_langs = array(1 => 'Basic', 2 => 'Fair', 3 => 'Good', 4 => 'Exccelent');
?>

<form id="services" action="" >
    <input type="hidden" name="session_hash" value="<?= $this->session_hash ?>" />
    <input type="hidden" name="step" value="<?= $this->step; ?>">
    <input type="hidden" name="then" value=":next">
    <input type="hidden" name="dont" value="">


    <div class="row">
       <div class="col-md-12 d-none d-sm-block custom-p-4">
            <div class="card">
                <div class="card-header">
                    <i class="fa fa-line-chart"></i> <?= $this->step_title?>
                </div>
                 <div class="card-block">
                    <div class="d-flex bs-wizard">
                        <div class=" bs-wizard-step complete">
                          <div class="text-center bs-wizard-stepnum">Step 1</div>
                          <div class="progress"><div class="progress-bar"></div></div>
                          <a class="bs-wizard-dot"></a>
                        </div>
                        
                         <div class=" bs-wizard-step complete"><!-- active -->
                          <div class="text-center bs-wizard-stepnum">Step 2</div>
                          <div class="progress"><div class="progress-bar"></div></div>
                          <a class="bs-wizard-dot"></a>
                        </div>

                         <div class=" bs-wizard-step complete"><!-- active -->
                          <div class="text-center bs-wizard-stepnum">Step 3</div>
                          <div class="progress"><div class="progress-bar"></div></div>
                          <a class="bs-wizard-dot"></a>
                        </div>
                        
                        <div class=" bs-wizard-step complete"><!-- active -->
                          <div class="text-center bs-wizard-stepnum">Step 4</div>
                          <div class="progress"><div class="progress-bar"></div></div>
                          <a class="bs-wizard-dot"></a>
                        </div>

                         <div class=" bs-wizard-step disabled"><!-- active -->
                          <div class="text-center bs-wizard-stepnum">Step 5</div>
                          <div class="progress"><div class="progress-bar"></div></div>
                          <a class="bs-wizard-dot"></a>
                        </div>

                         <div class=" bs-wizard-step disabled"><!-- active -->
                          <div class="text-center bs-wizard-stepnum">Step 6</div>
                          <div class="progress"><div class="progress-bar"></div></div>
                          <a class="bs-wizard-dot"></a>
                        </div>

                         <div class=" bs-wizard-step disabled"><!-- active -->
                          <div class="text-center bs-wizard-stepnum">Step 7</div>
                          <div class="progress"><div class="progress-bar"></div></div>
                          <a class="bs-wizard-dot"></a>
                        </div>
                    </div> 
                </div>
            </div>
        </div>

        <div class="col-xl-2 custom-p-4">
            <div class="card">
                <div class="card-header">
                    <i class="fa fa-venus-mars"></i>Sexual Orientation
                </div>
                <div class="card-block">
                    <? foreach ( array(1 => 'Heterosexual', 2 =>'Bisexual', 3 => 'Homosexual') as $id => $opt ): ?>
                        <label class="custom-control custom-radio">
                            <input id="orientation-<?= $id ?>" class="custom-control-input" type="radio" name="sex_orientation" value="<?= $id ?>" <?= $this->data['sex_orientation'] == $id ? ' checked="checked"' : '' ?>/>
                            <span class="custom-control-indicator"></span>
                            <span class="custom-control-description"><?= $opt ?></span>
                        </label>                            
                    <? endforeach ?>
                </div>
            </div>
        </div>
        <!--/.col-->
        <div class="col-xl-2 custom-p-4">
            <div class="card">
                <div class="card-header">
                    <i class="fa fa-users"></i>Services Offered For
                </div>
                <div class="card-body services-offered ">
                  <div class="input-group d-flex flex-wrap align-content-start">
                    <? foreach ( $defines['sex_availability_options'] as $id => $opt ): ?>
                            <label class="custom-control custom-checkbox">
                                <input id="service-for-<?= $id ?>" type="checkbox" class="custom-control-input" name="sex_availability[]" value="<?= $id ?>"<?= in_array($id, explode(',', $this->data['sex_availability'])) ? ' checked="checked"' : '' ?>>
                                <span class="custom-control-indicator"></span>
                                <span class="custom-control-description"><?= $opt ?></span>
                            </label>                       
                    <? endforeach ?>
                      <p id="validation-services_offered_for_error" class="text-danger m-0"></p>
                   </div>
                </div>
               
            </div>
        </div>

        <div class="col-xl-8 custom-p-4">
            <div class="card">
                <div class="card-header">
                    <i class="fa fa-handshake-o"></i>Services (extras in advanced mode)
                </div>
                <div class="card-body extra-services d-flex flex-wrap">
                    <?php $services_data = Private_ProfileController::getModifiedArray('service_id',$this->data['services'])?>
                    <? foreach ( $this->defines['services']['common'] as $id => $svc ): ?>
                            <label class="custom-control custom-checkbox">
                                <input id="services-<?= $id ?>" type="checkbox" class="custom-control-input" name="services[]" value="<?= $id ?>"<?= in_array($id, $services_data) ? ' checked="checked"' : '' ?> />
                                <span class="custom-control-indicator"></span>
                                <span class="custom-control-description"><?= $svc ?></span>
                            </label>
                    <? endforeach ?>
                </div>
            </div>
        </div>

        <div class="col-md-12 d-flex buttons_wrapper">
            <button   type="submit" value=":back" class="btn ml-auto btn-secondary btn-lg active mr-1 m-w-100">BACK</button>
            <button   type="submit" value=":next" class="btn mr-auto btn-outline-success btn-lg active m-w-100">NEXT STEP</button>
        </div>
    </div>
</form>
